package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (21/02/2008)
 */
public class P06B25T00Datatype implements Serializable {
	
	private String numExp = "";
	private String corr = "";
	private String domici = "";
	private String codmun = "";
	private String locali = "";
	private String codpro = "";
	private String codpst = "";
	private String telefot = "";
	private String telefom = "";
	private String telefoc = "";
	private String fax1 = "";
	private String fax2 = "";
	private String mail = "";
	private String web = "";
	
	public boolean isEmpty() {
		if(domici.trim().equals("")
				&& codmun.trim().equals("")
				&& locali.trim().equals("")
				&& codpro.trim().equals("")
				&& codpst.trim().equals("")
				&& telefot.trim().equals("")
				&& telefom.trim().equals("")
				&& telefoc.trim().equals("")
				&& fax1.trim().equals("")
				&& fax2.trim().equals("")
				&& mail.trim().equals("")
				&& web.trim().equals(""))
			return true;
		return false;
	}	
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the corr.
	 */
	public String getCorr() {
		return corr;
	}
	/**
	 * @param corr The corr to set.
	 */
	public void setCorr(String corr) {
		this.corr = corr;
	}
	
	/**
	 * @return Returns the domici.
	 */
	public String getDomici() {
		return domici;
	}
	/**
	 * @param domici The domici to set.
	 */
	public void setDomici(String domici) {
		this.domici = domici;
	}
	
	/**
	 * @return Returns the codmun.
	 */
	public String getCodmun() {
		return codmun;
	}
	/**
	 * @param codmun The codmun to set.
	 */
	public void setCodmun(String codmun) {
		this.codmun = codmun;
	}
	
	/**
	 * @return Returns the locali.
	 */
	public String getLocali() {
		return locali;
	}
	/**
	 * @param locali The locali to set.
	 */
	public void setLocali(String locali) {
		this.locali = locali;
	}
	
	/**
	 * @return Returns the codpro.
	 */
	public String getCodpro() {
		return codpro;
	}
	/**
	 * @param codpro The codpro to set.
	 */
	public void setCodpro(String codpro) {
		this.codpro = codpro;
	}
	/**
	 * @return Returns the codpst.
	 */
	public String getCodpst() {
		return codpst;
	}
	/**
	 * @param codpst The codpst to set.
	 */
	public void setCodpst(String codpst) {
		this.codpst = codpst;
	}
	
	/**
	 * @return Returns the fax1.
	 */
	public String getFax1() {
		return fax1;
	}
	/**
	 * @param fax1 The fax1 to set.
	 */
	public void setFax1(String fax1) {
		this.fax1 = fax1;
	}
	/**
	 * @return Returns the fax2.
	 */
	public String getFax2() {
		return fax2;
	}
	/**
	 * @param fax2 The fax2 to set.
	 */
	public void setFax2(String fax2) {
		this.fax2 = fax2;
	}

	/**
	 * @return Returns the mail.
	 */
	public String getMail() {
		return mail;
	}
	/**
	 * @param mail The mail to set.
	 */
	public void setMail(String mail) {
		this.mail = mail;
	}

	/**
	 * @return Returns the telefoc.
	 */
	public String getTelefoc() {
		return telefoc;
	}
	/**
	 * @param telefoc The telefoc to set.
	 */
	public void setTelefoc(String telefoc) {
		this.telefoc = telefoc;
	}
	/**
	 * @return Returns the telefom.
	 */
	public String getTelefom() {
		return telefom;
	}
	/**
	 * @param telefom The telefom to set.
	 */
	public void setTelefom(String telefom) {
		this.telefom = telefom;
	}
	/**
	 * @return Returns the telefot.
	 */
	public String getTelefot() {
		return telefot;
	}
	/**
	 * @param telefot The telefot to set.
	 */
	public void setTelefot(String telefot) {
		this.telefot = telefot;
	}

	/**
	 * @return Returns the web.
	 */
	public String getWeb() {
		return web;
	}
	/**
	 * @param web The web to set.
	 */
	public void setWeb(String web) {
		this.web = web;
	}
	
}
